import { FunctionComponent } from "react";
import { IconProps } from "./type";

export const CloseIcon: FunctionComponent<IconProps> = ({ className }) => {
  return (
    <svg
      width="20"
      height="20"
      viewBox="0 0 20 21"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M10.6267 11.0907L19.0237 2.51753C19.1164 2.51753 19.6816 1.74624 19.4981 1.56135C19.3146 1.37645 19.4981 1.08318 18.5493 2.0394L10.1523 10.6126L1.01109 1.56135C0.690861 1.23862 0.382488 0.76051 0.0622623 1.08324C-0.257963 1.40596 0.216455 1.71673 0.53668 2.03946L9.67789 11.0907L0.664163 19.6967C0.343937 20.0195 -0.272781 20.5648 0.0474447 20.8875C0.189767 21.031 0.386534 21.0239 0.721992 20.6858C1.1964 20.2077 1.32834 20.1106 1.47066 19.9313L10.1523 11.5688L17.0731 18.2952C17.2155 18.4387 18.022 19.1672 18.022 19.1672C18.022 19.1672 19.7773 20.7808 19.9196 20.6015C20.2398 20.2788 18.3422 18.5337 18.022 18.211L10.6267 11.0907Z"
        fill="currentIcon"
      />
    </svg>
  );
};
